{
  pkgs,
  lib,
  config,
  ...
}:
let
  cfg = config.modules.unityhub;
in
{
  options.modules.unityhub = {
    enable = lib.mkEnableOption "unity";
  };
  config.home = lib.mkIf cfg.enable {
    packages = with pkgs; [
      unityhub
    ];
    # so alcom can use it
    file.".local/bin/unityhub".source = "${pkgs.unityhub}/bin/unityhub";
  };
}
